diff options
-rw-r--r-- | ajde.core/pom.xml | 13 | ||||
-rw-r--r-- | ajde/pom.xml | 12 | ||||
-rw-r--r-- | ajdoc/pom.xml | 3 | ||||
-rw-r--r-- | aspectjtools/pom.xml | 4 | ||||
-rw-r--r-- | build/build.xml | 192 | ||||
-rw-r--r-- | build/scripts/compileTest.sh | 6 | ||||
-rw-r--r-- | build/scripts/jikesInc.sh | 2 | ||||
-rw-r--r-- | build/scripts/makeAspectjtoolsLstFile.sh | 360 | ||||
-rw-r--r-- | libx/pom.xml | 30 | ||||
-rw-r--r-- | org.aspectj.ajdt.core/pom.xml | 12 | ||||
-rw-r--r-- | org.eclipse.jdt.core/README.html | 16 | ||||
-rw-r--r-- | org.eclipse.jdt.core/jdtcore-for-aspectj-src.zip | bin | 5503741 -> 0 bytes | |||
-rw-r--r-- | org.eclipse.jdt.core/jdtcore-for-aspectj.jar | bin | 11294865 -> 0 bytes | |||
-rw-r--r-- | org.eclipse.jdt.core/pom.xml | 63 | ||||
-rw-r--r-- | pom.xml | 23 | ||||
-rw-r--r-- | run-all-junit-tests/pom.xml | 10 | ||||
-rw-r--r-- | testing/pom.xml | 3 | ||||
-rw-r--r-- | tests/pom.xml | 3 | ||||
-rw-r--r-- | tests/product/build-aspectj/build.xml | 70 | ||||
-rw-r--r-- | tests/profiling/build.xml | 2 |
20 files changed, 371 insertions, 453 deletions
diff --git a/ajde.core/pom.xml b/ajde.core/pom.xml index d15533915..8ed061954 100644 --- a/ajde.core/pom.xml +++ b/ajde.core/pom.xml @@ -34,22 +34,9 @@ <artifactId>org.aspectj.ajdt.core</artifactId> <version>${project.version}</version> </dependency> - - - - <dependency> - <groupId>org.aspectj</groupId> - <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.0</version> - <scope>system</scope> - <systemPath>${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar</systemPath> - </dependency> -<!-- <dependency> <groupId>org.aspectj</groupId> <artifactId>org.eclipse.jdt.core</artifactId> - <version>${project.version}</version> </dependency> ---> </dependencies> </project> diff --git a/ajde/pom.xml b/ajde/pom.xml index 3a42b7e80..42c9e10c4 100644 --- a/ajde/pom.xml +++ b/ajde/pom.xml @@ -41,22 +41,10 @@ <type>test-jar</type> <scope>test</scope> </dependency> - - <dependency> <groupId>org.aspectj</groupId> <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.0</version> - <scope>system</scope> - <systemPath>${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar</systemPath> - </dependency> -<!-- - <dependency> - <groupId>org.aspectj</groupId> - <artifactId>org.eclipse.jdt.core</artifactId> - <version>${project.version}</version> </dependency> ---> <dependency> <groupId>org.aspectj</groupId> <artifactId>ajde.core</artifactId> diff --git a/ajdoc/pom.xml b/ajdoc/pom.xml index 780dcb8e3..3b1b64f5d 100644 --- a/ajdoc/pom.xml +++ b/ajdoc/pom.xml @@ -52,9 +52,6 @@ <dependency> <groupId>org.aspectj</groupId> <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.0</version> - <scope>system</scope> - <systemPath>${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar</systemPath> </dependency> <dependency> <groupId>org.aspectj</groupId> diff --git a/aspectjtools/pom.xml b/aspectjtools/pom.xml index c566c3f73..9073483a0 100644 --- a/aspectjtools/pom.xml +++ b/aspectjtools/pom.xml @@ -66,7 +66,7 @@ <target> <echo message="unzip patched jdtcore" /> <unzip - src="${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar" + src="${project.basedir}/../libx/jdtcore-aj/jdtcore-for-aspectj.jar" dest="target/jdtcore-unzipped" /> </target> </configuration> @@ -82,7 +82,7 @@ <target> <echo message="unzip patched jdtcore sources" /> <unzip - src="${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj-src.zip" + src="${project.basedir}/../libx/jdtcore-aj/jdtcore-for-aspectj-src.zip" dest="target/jdtcore-unzipped-src" /> </target> </configuration> diff --git a/build/build.xml b/build/build.xml index 013f32610..68405e117 100644 --- a/build/build.xml +++ b/build/build.xml @@ -20,7 +20,7 @@ <antcall target="eclipse.plugins"/> </target> <target name="clean" depends="clean-directories"/> - + <target name="compile" depends="build-module" description="compile module ${module.name} (without tests, by default)"/> @@ -38,11 +38,11 @@ <!-- ===================================================================== --> <property name="modules.dir" location="${basedir}/.."/> <property name="module.name" value="${ant.project.name}"/> - + <import file="${modules.dir}/build/build-properties.xml"/> - + <target name="init" depends="init-properties,init-directories"> - <property name="build.config" value=""/> + <property name="build.config" value=""/> <property name="trim.testing.default" value="true"/> <property name="aj.installer.jar" location="${aj.dist.dir}/aspectj-${build.version.long}.jar"/> @@ -66,7 +66,7 @@ version="${build.version}" versionSourceFile="${aspectj.modules.dir}/bridge/src/org/aspectj/bridge/Version.java" versionTagFile="${aj.temp.dir}/versionUptodate"/> - + <available file="${aj.temp.dir}/versionUptodate" property="version.uptodate"/> <property name="version-uptodate.done" value="done"/> @@ -87,21 +87,21 @@ <!-- ===================================================================== --> <target name="warn.ant.lib.aspectjrt" if="ant.lib.aspectjrt"> - <echo message="----- WARNING: ${ant.lib.aspectjrt}" /> + <echo message="----- WARNING: ${ant.lib.aspectjrt}" /> </target> <target name="warn.ant.lib.aspectjtools" if="ant.lib.aspectjtools"> - <echo message="----- WARNING: ${ant.lib.aspectjtools}" /> + <echo message="----- WARNING: ${ant.lib.aspectjtools}" /> </target> <target name="fail-unless-boot-libraries-uptodate" depends="init" description="fail unless all boot libraries are up-to-date"> - + <antcall target="verify-boot-lib"> <param name="boot.lib" value="test/aspectjrt.jar"/> <param name="vbl.module.name" value="runtime"/> </antcall> - + <antcall target="verify-boot-lib"> <param name="boot.lib" value="build/build.jar"/> <param name="vbl.module.name" value="build"/> @@ -117,40 +117,40 @@ <param name="boot.lib" value="test/testing-client.jar"/> <param name="vbl.module.name" value="util"/> </antcall> - + <antcall target="verify-boot-lib"> <param name="boot.lib" value="test/testing-client.jar"/> <param name="vbl.module.name" value="bridge"/> </antcall> - <echo message="all boot libraries verified"/> + <echo message="all boot libraries verified"/> </target> <target name="update-tree" depends="init" description="update tree"> - <fail unless="CVSROOT" + <fail unless="CVSROOT" message="required: {ant} -DCVSROOT=... ..."/> <cvs cvsRoot="${CVSROOT}" dest="${aspectj.modules.dir}" - quiet="on" - failonerror="on" + quiet="on" + failonerror="on" command="update -dP" /> </target> - + <!-- ===================================================================== --> <!-- antcall targets --> - <!-- ===================================================================== --> - + <!-- ===================================================================== --> + <target name="build-product" depends="init,init-taskdefs,init-version" description="build $${product.name}"> <ajbuild jarDir="${aj.jar.dir}" baseDir="${aspectj.modules.dir}" distDir="${aj.dist.dir}" productDir="${aspectj.modules.dir}/build/products/${product.name}" trimTesting="true" - buildConfig="${build.config}" + buildConfig="${build.config}" version="${build.version.long}" verbose="${build.verbose}" - failonerror="true"/> + failonerror="true"/> </target> <target name="build-module" depends="init,init-taskdefs,init-version"> @@ -159,11 +159,11 @@ distDir="${aj.dist.dir}" jarDir="${aj.jar.dir}" trimTesting="${trim.testing}" - buildConfig="${build.config}" + buildConfig="${build.config}" version="${build.version.long}" verbose="${build.verbose}" assembleall="${assemble}" - failonerror="true"/> + failonerror="true"/> </target> <macrodef name="build-module-all"> @@ -189,7 +189,7 @@ </antcall> </sequential> </macrodef> - + <macrodef name="assemble-module-test"> <attribute name="module"/> <sequential> @@ -197,11 +197,11 @@ </sequential> </macrodef> - + <target name="create-installer" depends="init,init-taskdefs,init-filters" description="create ${installer.file} from ${staging.dir} using ${htmlSrc.dir} and ${simpleClassName}"> <!-- init-filters: filter on copy used by ajinstaller taskdef --> - + <delete quiet="on" file="${installer.file}"/> <ajinstaller zipfile="${installer.file}" installerclassjar="${aspectj.build.jar}" @@ -218,7 +218,7 @@ <srcfiles dir="${aspectj.modules.dir}/${vbl.module.name}/src" includes="**/*.java"/> </uptodate> - + <fail unless="lib-warning-${vbl.module.name}" message="${boot.lib} out of date wrt module ${vbl.module.name}"/> @@ -226,16 +226,16 @@ <!-- ===================================================================== --> <!-- test targets --> - <!-- ===================================================================== --> - <target name="test-run-all-junit-tests" + <!-- ===================================================================== --> + <target name="test-run-all-junit-tests" depends="init" description="run unit tests via run-all-junit-tests module"> <antcall target="test"> <param name="module.name" value="run-all-junit-tests"/> </antcall> </target> - - <target name="test-compiler-tests" + + <target name="test-compiler-tests" depends="init" description="run compiler tests via tests module"> <antcall target="test"> @@ -243,7 +243,7 @@ </antcall> </target> - <target name="test-each-module" + <target name="test-each-module" depends="init" description="run JUnit tests for each module"> <subant target="test"> @@ -294,7 +294,7 @@ </target> - + <target name="junitreport" depends="init,init-taskdefs" if="junitreport.available"> <clean-dir dir="${aj.junit.dir}/html"/> @@ -309,9 +309,9 @@ </pathconvert> <echo message="see file:${jur.url}"/> </target> - - <target name="do-test-junit" - depends="init-taskdefs" + + <target name="do-test-junit" + depends="init-taskdefs" description="run junit tests for a module using module root or leaves"> <property name="dtj.dir" location="${aj.junit.dir}/${module.name}"/> @@ -327,24 +327,24 @@ else=""> <istrue value="${junit.leaves}"/> </condition> - - <junit + + <junit dir="${aspectj.modules.build.dir}" failureproperty="test-junit-${module.name}.failed" - fork="on" + fork="on" forkmode="perTest" maxmemory="400m" - includeAntRuntime="off" - printsummary="yes" + includeAntRuntime="off" + printsummary="yes" haltonfailure="${haltOnTestFailure}" > <classpath> <pathelement location="${aj.jar.dir}/${module.name}-test-all.jar"/> <!-- see skipped libraries in Builder.properties --> <pathelement location="${jdk.tools.jar}"/> - <pathelement location="${aspectj.modules.lib.dir}/junit/junit.jar"/> + <pathelement location="${aspectj.modules.lib.dir}/junit/junit.jar"/> <fileset dir="${aspectj.modules.lib.dir}/commons" includes="commons.jar"/> <!-- XML api's used by loadtime, also needed when running under 1.3 per Ant FAQ --> - <fileset dir="${aspectj.modules.lib.dir}/ant/lib" + <fileset dir="${aspectj.modules.lib.dir}/ant/lib" includes="ant.jar,ant-junit.jar,xml-apis.jar,xercesImpl.jar"/> </classpath> <jvmarg value="-Daspectjrtpath=${lib.test.aspectjrt.jar}" /> @@ -353,13 +353,13 @@ <fileset dir="${modules.dir}/${module.name}/testsrc" includes="${dtj.includes}" excludes="${dtj.excludes}"/> - </batchtest> + </batchtest> </junit> <report-if-failed text="JUnit tests for ${module.name} failed" property="test-junit-${module.name}.failed"/> </target> - + <!-- ===================================================================== --> <!-- custom targets --> <!-- ===================================================================== --> @@ -369,7 +369,7 @@ <antcall target="clean-jars"/> <assemble-module-test module="testing-drivers"/> </target> - + <target name="build-testing-jars" depends="init" description="build testing jars from scratch"> <antcall target="build-harness-jar"/> @@ -379,7 +379,7 @@ <build-module module="testing-client" assemble="true"/> <assemble-module-test module="testing-client"/> <echo> -To use testing client jar in tests, +To use testing client jar in tests, mv ../aj-build/jars/testing-client-all.jar ../lib/tests/testing-client.jar </echo> </target> @@ -391,23 +391,23 @@ To use testing client jar in tests, <fileset dir="${aj.dist.dir}/tools"/> <fileset dir="${aj.dist.dir}/docs"/> </copy> - + <antcall target="create-installer"> <param name="installer.file" location="${aj.installer.jar}"/> <param name="staging.dir" location="${installer.staging.dir}"/> <param name="htmlSrc.dir" location="${aspectj.modules.build.dir}/products/aspectj/install"/> <param name="simpleClassName" value="ToolsInstaller"/> </antcall> - <delete dir="${installer.staging.dir}"/> + <delete dir="${installer.staging.dir}"/> </target> - + <target name="docs-dist" depends="init"> <ant dir="${aspectj.modules.dir}/docs" antfile="build.xml" target="local-dist" inheritAll="false"/> </target> - + <target name="aspectjrt" depends="init" description="build aspectjrt.jar (differently than release)"> <build-module-all module="aspectj5rt"/> @@ -423,12 +423,12 @@ To use testing client jar in tests, <antcall target="compile-runtime-11-flag-unless13"/> <antcall target="compile-runtime-11-do-if13"/> </target> - + <target name="compile-runtime-11-flag-unless13" depends="init-properties" unless="cr1.in13"> <echo message="Skipping compile-runtime-11 unless 1.3"/> </target> - + <target name="compile-runtime-11-do-if13" depends="init-properties" if="cr1.in13"> <mkdir dir="${aj.build.dir}/classes-1.1"/> @@ -451,7 +451,7 @@ To use testing client jar in tests, /> <delete dir="${aj.build.dir}/classes-1.1"/> </target> - + <!-- ===================================================================== --> <!-- boilerplate antcalls --> <!-- ===================================================================== --> @@ -497,12 +497,12 @@ To use testing client jar in tests, <!-- ===================================================================== --> <target name="eclipse.plugins" depends="init" - description="create the Eclipse distribution plugins"> + description="create the Eclipse distribution plugins"> <ant dir="${aspectj.modules.dir}/eclipse.plugin" inheritAll="false"/> </target> - + <target name="src" depends="init" description="build src modules"> - + <mkdir dir="${aj.src.dir}"/> <jar destfile="${aj.src.dir}/aspectjrt${build.version}-src.jar"> <fileset dir="${aspectj.modules.dir}/aspectj5rt/java5-src"> @@ -564,9 +564,9 @@ To use testing client jar in tests, <exclude name="**/.cvsignore"/> </fileset> </jar> - + <!-- missing from this are the jdtDepends.jar src files --> - <unzip dest="${aj.src.dir}/jdtsrc" src="${aspectj.modules.dir}/org.eclipse.jdt.core/jdtcore-for-aspectj-src.zip"/> + <unzip dest="${aj.src.dir}/jdtsrc" src="${aspectj.modules.dir}/libx/jdtcore-aj/jdtcore-for-aspectj-src.zip"/> <!-- ajde/ajde.core/ajdoc/asm/bridge/loadtime/org.aspectj.ajdt.core/taskdefs/util/weaver5 --> <jar destfile="${aj.src.dir}/aspectjtools${build.version}-src.jar"> <fileset dir="${aj.src.dir}/jdtsrc"> @@ -644,7 +644,7 @@ To use testing client jar in tests, </jar> <delete dir="${aj.src.dir}/bcelsrc" failonerror="false"/> <delete dir="${aj.src.dir}/jdtsrc" failonerror="false"/> - + <jar destfile="${aj.src.dir}/org.aspectj.matcher-${build.version}-src.jar"> <fileset dir="${aspectj.modules.dir}/bridge/src"> <exclude name="CVS"/> @@ -721,28 +721,28 @@ To use testing client jar in tests, </fileset> --> </jar> - + <jar destfile="${aj.src.dir}/org.aspectj-${build.version}-src.jar"> <fileset dir="${aj.src.dir}"> - <include name="aspectjrt${build.version}-src.jar"/> - <include name="aspectjweaver${build.version}-src.jar"/> + <include name="aspectjrt${build.version}-src.jar"/> + <include name="aspectjweaver${build.version}-src.jar"/> <include name="aspectjtools${build.version}-src.jar"/> <include name="org.aspectj.matcher-${build.version}-src.jar"/> </fileset> </jar> - - <delete file="{aj.src.dir}/aspectjrt${build.version}-src.jar"/> - <delete file="{aj.src.dir}/aspectjweaver${build.version}-src.jar"/> - <delete file="{aj.src.dir}/aspectjtools${build.version}-src.jar"/> - <delete file="{aj.src.dir}/org.aspectj.matcher${build.version}-src.jar"/> + + <delete file="{aj.src.dir}/aspectjrt${build.version}-src.jar"/> + <delete file="{aj.src.dir}/aspectjweaver${build.version}-src.jar"/> + <delete file="{aj.src.dir}/aspectjtools${build.version}-src.jar"/> + <delete file="{aj.src.dir}/org.aspectj.matcher${build.version}-src.jar"/> </target> - + <target name="repo" depends="init" description="deploy maven repo"> <property name="repo.url" value="scp://simonegianni.it/home/mavenrsync/repo"/> <property name="repo.id" value="simonegianni-rsync"/> - + <mkdir dir="${modules.dir}/aj-build/repo"/> <copy toDir="${modules.dir}/aj-build/repo" file="aspectjtools.pom"/> <copy toDir="${modules.dir}/aj-build/repo" file="aspectjweaver.pom"/> @@ -752,45 +752,45 @@ To use testing client jar in tests, <substitution expression="${repo.version}"/> <fileset dir="${modules.dir}/aj-build/repo"> <include name="*.pom"/> - </fileset> + </fileset> </replaceregexp> - - + + <!-- Invoke maven to deploy the jars to the rsynced repo --> <antcall target="mavenDeployJar"> <param name="file" value="${modules.dir}/aj-build/dist/tools/lib/aspectjtools.jar"/> <param name="artifact" value="aspectjtools"/> <param name="desc" value="AspectJ Tools"/> - </antcall> + </antcall> <antcall target="mavenDeployJar"> <param name="file" value="${modules.dir}/aj-build/dist/tools/lib/aspectjweaver.jar"/> <param name="artifact" value="aspectjweaver"/> <param name="desc" value="AspectJ Weaver"/> - </antcall> + </antcall> <antcall target="mavenDeployJar"> <param name="file" value="${modules.dir}/aj-build/dist/tools/lib/aspectjrt.jar"/> <param name="artifact" value="aspectjrt"/> <param name="desc" value="AspectJ Runtime"/> - </antcall> - + </antcall> + <antcall target="mavenDeploySource"> <param name="file" value="${modules.dir}/aj-build/src/aspectjtools${build.version}-src.jar"/> <param name="artifact" value="aspectjtools"/> <param name="desc" value="AspectJ Tools"/> - </antcall> + </antcall> <antcall target="mavenDeploySource"> <param name="file" value="${modules.dir}/aj-build/src/aspectjweaver${build.version}-src.jar"/> <param name="artifact" value="aspectjweaver"/> <param name="desc" value="AspectJ Weaver"/> - </antcall> + </antcall> <antcall target="mavenDeploySource"> <param name="file" value="${modules.dir}/aj-build/src/aspectjrt${build.version}-src.jar"/> <param name="artifact" value="aspectjrt"/> <param name="desc" value="AspectJ Runtime"/> - </antcall> - - - + </antcall> + + + </target> <!-- @@ -838,7 +838,7 @@ ant -propertyfile XXX publishtomaven <pom file="usedForMavenUpload/aspectjweaver.pom"/> <attach file="${build.root}/aspectjweaver/target/aspectjweaver-${suffix}-sources.jar" classifier="sources"/> </maven:deploy> - + <!-- ASPECTJMATCHER --> <maven:deploy file="${build.root}/aspectjmatcher/target/aspectjmatcher-${suffix}.jar"> <remoteRepository url="${maven.central.repository}"> @@ -857,7 +857,7 @@ ant -propertyfile XXX publishtomaven <target name="publishtomaven_milestone" depends="maven.init"> <property name="build.root" value="/Users/aclement/gits/org.aspectj"/> <property name="suffix" value="1.9.7.M1"/> - + <property name="adjusted.release.type" value="milestone"/> <property name="maven.central.repository" value="s3://maven.springframework.org/${adjusted.release.type}"/> <property name="bin.jars.folder" value="${build.root}/dist/tools/lib"/> @@ -889,7 +889,7 @@ ant -propertyfile XXX publishtomaven <pom file="usedForMavenUpload_milestone/aspectjweaver.pom"/> <attach file="${build.root}/aspectjweaver/target/aspectjweaver-${suffix}-sources.jar" classifier="sources"/> </maven:deploy> - + <!-- ASPECTJMATCHER --> <maven:deploy file="${build.root}/aspectjmatcher/target/aspectjmatcher-${suffix}.jar"> <remoteRepository url="${maven.central.repository}"> @@ -938,13 +938,13 @@ ant -propertyfile XXX publishtomaven </maven:deploy> </target> - + <target name="repo2" depends="maven.init"> </target> <target name="mavenDeployJar"> - <!-- - Currently only an exec is usable, see http://jira.codehaus.org/browse/MANTTASKS-71 + <!-- + Currently only an exec is usable, see http://jira.codehaus.org/browse/MANTTASKS-71 this mean you need to have maven installed on your system. --> <exec executable="n:/tools/apache-maven-2.0.9/bin/mvn.bat" failonerror="true"> @@ -957,15 +957,15 @@ ant -propertyfile XXX publishtomaven <arg line="-DartifactId=${artifact}"/> <arg line="-Dpackaging=jar"/> <arg line="-Dversion=${repo.version}"/> - <arg line="-DpomFile=${modules.dir}/aj-build/repo/${artifact}.pom"/> - </exec> + <arg line="-DpomFile=${modules.dir}/aj-build/repo/${artifact}.pom"/> + </exec> </target> - + <target name="mavenDeploySource"> - <!-- - Currently only an exec is usable, see http://jira.codehaus.org/browse/MANTTASKS-71 + <!-- + Currently only an exec is usable, see http://jira.codehaus.org/browse/MANTTASKS-71 this mean you need to have maven installed on your system. - + failonerror is set to false because deploy:deploy-file goes NPE for some obscure reason on recent versions, see http://jira.codehaus.org/browse/MDEPLOY-48 --> @@ -979,10 +979,10 @@ ant -propertyfile XXX publishtomaven <arg line="-DartifactId=${artifact}"/> <arg line="-Dpackaging=java-source"/> <arg line="-Dversion=${repo.version}"/> - <arg value="-DgeneratePom=false"/> - </exec> + <arg value="-DgeneratePom=false"/> + </exec> </target> - + </project> diff --git a/build/scripts/compileTest.sh b/build/scripts/compileTest.sh index 42d9281da..f6a5b3a17 100644 --- a/build/scripts/compileTest.sh +++ b/build/scripts/compileTest.sh @@ -22,7 +22,7 @@ ajdir=`echo "$ajdir" | sed 's|/cygdrive/\([a-zA-Z]\)/|\1:/|'` allfiles="$ajdir/allfiles.lst" onefile="$ajdir/onefile.lst" srcdirs="ajbrowser ajde asm bridge org.aspectj.ajdt.core runtime taskdefs util weaver" -libs="lib/ant/lib/ant.jar lib/bcel/bcel.jar org.eclipse.jdt.core/jdtcore-for-aspectj.jar" +libs="lib/ant/lib/ant.jar lib/bcel/bcel.jar libx/jdtcore-aj/jdtcore-for-aspectj.jar" classesDir="$ajdir/classes" ajc110=$aj110/bin/ajc @@ -63,9 +63,9 @@ for compiler in "$jdk14"/bin/javac "$jdk13"/bin/javac "$ajc110" "$ajc111" "$jike cp="$aj110/lib/aspectjrt.jar$classpath" fi echo "##################################### $compiler $cp" - start=`date +%s` + start=`date +%s` $compiler \ - -d "$classesDir" -classpath "$cp" @"$argfile" + -d "$classesDir" -classpath "$cp" @"$argfile" end=`date +%s` duration=`expr $end - $start` echo "$duration ($start - $end) # $compiler" diff --git a/build/scripts/jikesInc.sh b/build/scripts/jikesInc.sh index db3ef00a2..209aeadfc 100644 --- a/build/scripts/jikesInc.sh +++ b/build/scripts/jikesInc.sh @@ -14,7 +14,7 @@ ajdir=`cd "$ajdir"; pwd` ajdir=`echo "$ajdir" | sed 's|/cygdrive/\([a-zA-Z]\)/|\1:/|'` allfiles="$ajdir/allfiles.lst" srcdirs="ajbrowser ajde asm bridge org.aspectj.ajdt.core runtime taskdefs util weaver" -libs="lib/ant/lib/ant.jar lib/bcel/bcel.jar org.eclipse.jdt.core/jdtcore-for-aspectj.jar" +libs="lib/ant/lib/ant.jar lib/bcel/bcel.jar libx/jdtcore-aj/jdtcore-for-aspectj.jar" classesDir="$ajdir/classes" diff --git a/build/scripts/makeAspectjtoolsLstFile.sh b/build/scripts/makeAspectjtoolsLstFile.sh index 50a705db0..9ed7d8ad3 100644 --- a/build/scripts/makeAspectjtoolsLstFile.sh +++ b/build/scripts/makeAspectjtoolsLstFile.sh @@ -1,180 +1,180 @@ -#!/bin/bash
-# generate .lst file for aspectjtools.jar
-# by compile all non-testing src dirs
-# todo: copy ajbrowser manifest
-[ -n "$DEBUG" ] && set -vx
-
-usage() {
- name=`basename "$0"`
- cat<<EOF
- Usage: $name { build | manifest }
-For compiling aspectjtools-aj.jar using ajc, generate build/aspectjtools.lst
-and files it refers to, aspectjtools-sources.lst and aspectj-resources.jar.
-
-To add to aspectjtools.jar a meta-inf/manifest.mf with a main-class,
-specify a single argument: "manifest"
-
-To create the .lst file, use ajc to build, and add the manifest,
-define ASPECTJ_HOME and specify a single argument: "build"
-
-EOF
-}
-
-canonicalPath() {
- cygpath -ma "$@"
-}
-
-filterOutNonsourceDirs() {
- sed '/\/build\//d;/\/testing/d'
-}
-
-listSourceDirs() {
- for i in ../*/testsrc; do
- p=`echo $i \
- | filterOutNonsourceDirs \
- | sed 's|../\(.*\)/testsrc|\1|'`;
- p=`canonicalPath "../$p"`
- [ -d "$p/src" ] && echo "$p/src"
- done
-}
-
-generateSourcesLstFiles() {
- [ -n "$DEBUG" ] && set -vx
- rm -f aspectjtools-sources.lst;
- for i in `listSourceDirs` ; do
- find "$i" -type f -name \*.java \
- | sed 's|/[^/]*.java|/*.java|' \
- | sort -u ;
- done > aspectjtools-sources.lst;
- # head aspectjtools-sources.lst
-}
-
-genResourceJar() { # slow, but hey
- [ -n "$DEBUG" ] && set -vx
- jarFile=`canonicalPath "$1"`
- [ -n "$jarFile" ] || exit 43
-
- "${JAVA_HOME:-c:/home/apps/jdk14}/bin/"jar \
- cfM "$jarFile" build.xml
-
- curDir=`pwd`;
- for i in `listSourceDirs` ; do
- cd "$i"
- "${JAVA_HOME:-c:/home/apps/jdk14}/bin/"jar \
- ufM "$jarFile" `find . -type f | sed '/CVS/d;/\.java/d'`
- cd "$curDir"
- done
- cd "$curDir"
-
-# mf=`canonicalPath "grj_manifest.txt"`
-# sed 's|@build.version.short@|1.1.1|;s|@company.name@|na|' \
-# ../ajbrowser/ajbrowser.mf.txt > "$mf"
-# "${JAVA_HOME:-c:/home/apps/jdk14}/bin/"jar \
-# ufm "$jarFile" "$mf" build.xml
-# rm "$mf"
-}
-
-addManifest() {
- outjar="$1"
- mf=`canonicalPath "grj_manifest.txt"`
- sed 's|@build.version.short@|1.1.1|;s|@company.name@|na|' \
- ../ajbrowser/ajbrowser.mf.txt > "$mf"
- echo "nothing" > am_nothing
- "${JAVA_HOME:-c:/home/apps/jdk14}/bin/"jar \
- ufm "$outjar" "$mf" am_nothing
- rm "$mf" am_nothing
-}
-
-getClasspath() {
- [ -n "$DEBUG" ] && set -vx
- ajrt=`canonicalPath "${ASPECTJ_HOME:-c:/home/apps/aspectj-1.1.1}/lib/aspectjrt.jar"`
- echo "${ajrt};`cygpath -ma ../lib/ant/lib/ant.jar`"
-}
-
-getInjars() {
- [ -n "$DEBUG" ] && set -vx
- cp=""
- sep=""
- for i in "$1" ../lib/bcel/bcel.jar \
- ../org.eclipse.jdt.core/jdtcore-for-aspectj.jar \
- ; do
- cp="${cp}${sep}`canonicalPath "$i"`"
- [ -z "${sep}" ] && sep=";"
- done
- echo "$cp"
-}
-
-setupManifest() {
- [ -n "$DEBUG" ] && set -vx
- midir="../ajbrowser/src/META-INF"
- [ -d "$midir" ] || mkdir ../ajbrowser/src/META-INF
- sed 's|@build.version.short@|1.1.1|;s|@company.name@|na|' \
- ../ajbrowser/ajbrowser.mf.txt > "$1"
-}
-
-generateFile() {
- resourceJar="$1"
- outputJar="$2"
- [ -n "$DEBUG" ] && set -vx
- [ -f "$resourceJar" ] || exit 98
- [ -n "$outputJar" ] || exit 98
- rm -f "$outputJar"
- PS=";"
- #sourceroots=`getSourceroots`
- classpath=`getClasspath`
- injars=`getInjars "$resourceJar"`
- cat<<EOF
-# generated `date` by $0
-# remove this line if modifying this file
--outjar
-$outputJar
--classpath
-$classpath
--injars
-$injars
--argfile
-`canonicalPath aspectjtools-sources.lst`
-EOF
-}
-
-errExit() {
- [ -n "$1" ] && echo "## error: $1"
- [ -n "$2" ] && exit "$2"
-}
-
-#########################################################################
-#########################################################################
-scriptDir=`dirname "$0"`
-scriptDir=`cd "$scriptDir"; pwd`
-script=`canonicalPath "$0"`
-export PS=";" ### XXX platform
-ASPECTJ_HOME="${ASPECTJ_HOME:-~/dev/tools/aspectj-1.1.1}"
-export ASPECTJ_HOME=`cygpath -m "${ASPECTJ_HOME}"`
-
-cd "$scriptDir/.."
-outjar=`canonicalPath aspectjtools-aj.jar`
-
-if [ -f aspectjtools.lst ] ; then
- grep -q "remove this line" aspectjtools.lst \
- && rm -f aspectjtools.lst \
- || exit 23
-fi
-set -e
-if [ "$1" = "manifest" ] ; then
- addManifest "$outjar"
-elif [ "build" = "$1" ] ; then
- [ "$script" -ot aspectjtools.lst ] || "$script"
- [ -d "$ASPECTJ_HOME" ] || errExit "define ASPECTJ_HOME" 49
- "$ASPECTJ_HOME"/bin/ajc -argfile aspectjtools.lst
- "$script" manifest
-elif [ -n "$1" ] ; then
- usage
-else
- generateSourcesLstFiles
- resourceJar=`canonicalPath aspectjtools-resources.jar`
- [ -f "$resourceJar" ] || genResourceJar "$resourceJar"
- outjar=`canonicalPath aspectjtools-aj.jar`
- rm -f aspectjtools.lst
- generateFile "$resourceJar" "$outjar" > aspectjtools.lst
- ls -ald "$resourceJar" aspectjtools.lst
-fi
+#!/bin/bash +# generate .lst file for aspectjtools.jar +# by compile all non-testing src dirs +# todo: copy ajbrowser manifest +[ -n "$DEBUG" ] && set -vx + +usage() { + name=`basename "$0"` + cat<<EOF + Usage: $name { build | manifest } +For compiling aspectjtools-aj.jar using ajc, generate build/aspectjtools.lst +and files it refers to, aspectjtools-sources.lst and aspectj-resources.jar. + +To add to aspectjtools.jar a meta-inf/manifest.mf with a main-class, +specify a single argument: "manifest" + +To create the .lst file, use ajc to build, and add the manifest, +define ASPECTJ_HOME and specify a single argument: "build" + +EOF +} + +canonicalPath() { + cygpath -ma "$@" +} + +filterOutNonsourceDirs() { + sed '/\/build\//d;/\/testing/d' +} + +listSourceDirs() { + for i in ../*/testsrc; do + p=`echo $i \ + | filterOutNonsourceDirs \ + | sed 's|../\(.*\)/testsrc|\1|'`; + p=`canonicalPath "../$p"` + [ -d "$p/src" ] && echo "$p/src" + done +} + +generateSourcesLstFiles() { + [ -n "$DEBUG" ] && set -vx + rm -f aspectjtools-sources.lst; + for i in `listSourceDirs` ; do + find "$i" -type f -name \*.java \ + | sed 's|/[^/]*.java|/*.java|' \ + | sort -u ; + done > aspectjtools-sources.lst; + # head aspectjtools-sources.lst +} + +genResourceJar() { # slow, but hey + [ -n "$DEBUG" ] && set -vx + jarFile=`canonicalPath "$1"` + [ -n "$jarFile" ] || exit 43 + + "${JAVA_HOME:-c:/home/apps/jdk14}/bin/"jar \ + cfM "$jarFile" build.xml + + curDir=`pwd`; + for i in `listSourceDirs` ; do + cd "$i" + "${JAVA_HOME:-c:/home/apps/jdk14}/bin/"jar \ + ufM "$jarFile" `find . -type f | sed '/CVS/d;/\.java/d'` + cd "$curDir" + done + cd "$curDir" + +# mf=`canonicalPath "grj_manifest.txt"` +# sed 's|@build.version.short@|1.1.1|;s|@company.name@|na|' \ +# ../ajbrowser/ajbrowser.mf.txt > "$mf" +# "${JAVA_HOME:-c:/home/apps/jdk14}/bin/"jar \ +# ufm "$jarFile" "$mf" build.xml +# rm "$mf" +} + +addManifest() { + outjar="$1" + mf=`canonicalPath "grj_manifest.txt"` + sed 's|@build.version.short@|1.1.1|;s|@company.name@|na|' \ + ../ajbrowser/ajbrowser.mf.txt > "$mf" + echo "nothing" > am_nothing + "${JAVA_HOME:-c:/home/apps/jdk14}/bin/"jar \ + ufm "$outjar" "$mf" am_nothing + rm "$mf" am_nothing +} + +getClasspath() { + [ -n "$DEBUG" ] && set -vx + ajrt=`canonicalPath "${ASPECTJ_HOME:-c:/home/apps/aspectj-1.1.1}/lib/aspectjrt.jar"` + echo "${ajrt};`cygpath -ma ../lib/ant/lib/ant.jar`" +} + +getInjars() { + [ -n "$DEBUG" ] && set -vx + cp="" + sep="" + for i in "$1" ../lib/bcel/bcel.jar \ + ../libx/jdtcore-aj/jdtcore-for-aspectj.jar \ + ; do + cp="${cp}${sep}`canonicalPath "$i"`" + [ -z "${sep}" ] && sep=";" + done + echo "$cp" +} + +setupManifest() { + [ -n "$DEBUG" ] && set -vx + midir="../ajbrowser/src/META-INF" + [ -d "$midir" ] || mkdir ../ajbrowser/src/META-INF + sed 's|@build.version.short@|1.1.1|;s|@company.name@|na|' \ + ../ajbrowser/ajbrowser.mf.txt > "$1" +} + +generateFile() { + resourceJar="$1" + outputJar="$2" + [ -n "$DEBUG" ] && set -vx + [ -f "$resourceJar" ] || exit 98 + [ -n "$outputJar" ] || exit 98 + rm -f "$outputJar" + PS=";" + #sourceroots=`getSourceroots` + classpath=`getClasspath` + injars=`getInjars "$resourceJar"` + cat<<EOF +# generated `date` by $0 +# remove this line if modifying this file +-outjar +$outputJar +-classpath +$classpath +-injars +$injars +-argfile +`canonicalPath aspectjtools-sources.lst` +EOF +} + +errExit() { + [ -n "$1" ] && echo "## error: $1" + [ -n "$2" ] && exit "$2" +} + +######################################################################### +######################################################################### +scriptDir=`dirname "$0"` +scriptDir=`cd "$scriptDir"; pwd` +script=`canonicalPath "$0"` +export PS=";" ### XXX platform +ASPECTJ_HOME="${ASPECTJ_HOME:-~/dev/tools/aspectj-1.1.1}" +export ASPECTJ_HOME=`cygpath -m "${ASPECTJ_HOME}"` + +cd "$scriptDir/.." +outjar=`canonicalPath aspectjtools-aj.jar` + +if [ -f aspectjtools.lst ] ; then + grep -q "remove this line" aspectjtools.lst \ + && rm -f aspectjtools.lst \ + || exit 23 +fi +set -e +if [ "$1" = "manifest" ] ; then + addManifest "$outjar" +elif [ "build" = "$1" ] ; then + [ "$script" -ot aspectjtools.lst ] || "$script" + [ -d "$ASPECTJ_HOME" ] || errExit "define ASPECTJ_HOME" 49 + "$ASPECTJ_HOME"/bin/ajc -argfile aspectjtools.lst + "$script" manifest +elif [ -n "$1" ] ; then + usage +else + generateSourcesLstFiles + resourceJar=`canonicalPath aspectjtools-resources.jar` + [ -f "$resourceJar" ] || genResourceJar "$resourceJar" + outjar=`canonicalPath aspectjtools-aj.jar` + rm -f aspectjtools.lst + generateFile "$resourceJar" "$outjar" > aspectjtools.lst + ls -ald "$resourceJar" aspectjtools.lst +fi diff --git a/libx/pom.xml b/libx/pom.xml index 1dd0e8239..c30de98e0 100644 --- a/libx/pom.xml +++ b/libx/pom.xml @@ -153,6 +153,28 @@ <configuration> <artifactItems> + <artifactItem> + <!-- Available from GitHub Packages (needs special repository declaration) --> + <groupId>org.aspectj</groupId> + <artifactId>org.eclipse.jdt.core</artifactId> + <version>${jdt.core.version}</version> + <type>jar</type> + <overWrite>false</overWrite> + <outputDirectory>jdtcore-aj</outputDirectory> + <destFileName>jdtcore-for-aspectj.jar</destFileName> + </artifactItem> + <artifactItem> + <!-- Available from GitHub Packages (needs special repository declaration) --> + <groupId>org.aspectj</groupId> + <artifactId>org.eclipse.jdt.core</artifactId> + <version>${jdt.core.version}</version> + <type>java-source</type> + <classifier>sources</classifier> + <overWrite>false</overWrite> + <outputDirectory>jdtcore-aj</outputDirectory> + <destFileName>jdtcore-for-aspectj-src.zip</destFileName> + </artifactItem> + <!-- How relevant is JRockit in 2021? https://en.wikipedia.org/wiki/JRockit @@ -519,6 +541,7 @@ <include>commons/**</include> <include>jarjar/**</include> <include>jdiff/**</include> + <include>jdtcore-aj/**</include> <include>junit/**</include> <include>regexp/**</include> <include>saxon/**</include> @@ -532,4 +555,11 @@ </plugins> </build> + <dependencies> + <dependency> + <groupId>org.aspectj</groupId> + <artifactId>org.eclipse.jdt.core</artifactId> + </dependency> + </dependencies> + </project> diff --git a/org.aspectj.ajdt.core/pom.xml b/org.aspectj.ajdt.core/pom.xml index dd20b302d..165d81505 100644 --- a/org.aspectj.ajdt.core/pom.xml +++ b/org.aspectj.ajdt.core/pom.xml @@ -54,22 +54,10 @@ <artifactId>testing-client</artifactId> <version>${project.version}</version> </dependency> - - <dependency> <groupId>org.aspectj</groupId> <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.0</version> - <scope>system</scope> - <systemPath>${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar</systemPath> - </dependency> -<!-- - <dependency> - <groupId>org.aspectj</groupId> - <artifactId>org.eclipse.jdt.core</artifactId> - <version>${project.version}</version> </dependency> ---> <dependency> <groupId>org.aspectj</groupId> <artifactId>loadtime</artifactId> diff --git a/org.eclipse.jdt.core/README.html b/org.eclipse.jdt.core/README.html deleted file mode 100644 index b47a42e65..000000000 --- a/org.eclipse.jdt.core/README.html +++ /dev/null @@ -1,16 +0,0 @@ -<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> -<html> - <head> - <title>The Eclipse JDT compiler</title> - </head> - - <body> - <h1>The Eclipse JDT Compiler</h1> - - <p>This module exports jdtcore.jar to anyone who depends on it. That .jar - contains a lightly modified version of the eclipse JDT compiler and all of its - dependencies. The .jar is built from shadows/org.eclipse.jdt.core. See - shadows/README.html for more information. - </p> - </body> -</html> diff --git a/org.eclipse.jdt.core/jdtcore-for-aspectj-src.zip b/org.eclipse.jdt.core/jdtcore-for-aspectj-src.zip Binary files differdeleted file mode 100644 index 37f003c8d..000000000 --- a/org.eclipse.jdt.core/jdtcore-for-aspectj-src.zip +++ /dev/null diff --git a/org.eclipse.jdt.core/jdtcore-for-aspectj.jar b/org.eclipse.jdt.core/jdtcore-for-aspectj.jar Binary files differdeleted file mode 100644 index 4275229c0..000000000 --- a/org.eclipse.jdt.core/jdtcore-for-aspectj.jar +++ /dev/null diff --git a/org.eclipse.jdt.core/pom.xml b/org.eclipse.jdt.core/pom.xml deleted file mode 100644 index 08f8196fa..000000000 --- a/org.eclipse.jdt.core/pom.xml +++ /dev/null @@ -1,63 +0,0 @@ -<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" - xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd"> - <modelVersion>4.0.0</modelVersion> - - <parent> - <groupId>org.aspectj</groupId> - <artifactId>aspectj-parent</artifactId> - <version>1.9.7.BUILD-SNAPSHOT</version> - </parent> - - <artifactId>org.eclipse.jdt.core</artifactId> - <packaging>jar</packaging> - <name>org.eclipse.jdt.core</name> - - <build> - <plugins> - <plugin> - <groupId>org.apache.maven.plugins</groupId> - <artifactId>maven-install-plugin</artifactId> - <executions> - <execution> - <id>default-install</id> - <phase>none</phase> - </execution> - <execution> - <id>org.aspectj:org.eclipse.jdt.core</id> - <phase>install</phase> - <goals> - <goal>install-file</goal> - </goals> - <configuration> - <groupId>org.aspectj</groupId> - <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.9.7.BUILD-SNAPSHOT</version> - <packaging>jar</packaging> - <file>${basedir}/jdtcore-for-aspectj.jar</file> - <createChecksum>true</createChecksum> - <generatePom>true</generatePom> - </configuration> - </execution> - <execution> - <id>org.aspectj:org.eclipse.jdt.core:sources</id> - <phase>install</phase> - <goals> - <goal>install-file</goal> - </goals> - <configuration> - <groupId>org.aspectj</groupId> - <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.9.7.BUILD-SNAPSHOT</version> - <packaging>jar</packaging> - <file>${basedir}/jdtcore-for-aspectj-src.zip</file> - <createChecksum>true</createChecksum> - <classifier>sources</classifier> - <generatePom>true</generatePom> - </configuration> - </execution> - </executions> - </plugin> - </plugins> - </build> - -</project> @@ -13,6 +13,7 @@ <properties> <revision>1.9.7.BUILD-SNAPSHOT</revision> <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> + <jdt.core.version>3.25.0-SNAPSHOT</jdt.core.version> <lib.ant.version>1.6.3</lib.ant.version> <lib.ant.xerces.version>2.6.2</lib.ant.xerces.version> <lib.regexp.version>1.2</lib.regexp.version> @@ -28,6 +29,22 @@ <lib.directory>${maven.multiModuleProjectDirectory}/libx</lib.directory> </properties> + <repositories> + <!-- + Separately built dependencies unavailable on Maven Central, e.g.: + - org.aspectj:asm-renamed + - org.aspectj:org.eclipse.jdt.core + --> + <repository> + <id>github</id> + <name>GitHub Packages</name> + <url>https://maven.pkg.github.com/kriegaex/aspectj-packages</url> + <snapshots> + <enabled>true</enabled> + </snapshots> + </repository> + </repositories> + <modules> <module>util</module> <module>bridge</module> @@ -218,6 +235,7 @@ <file>${lib.directory}/ant/lib/junit.jar</file> <file>${lib.directory}/commons/commons.jar</file> <file>${lib.directory}/jarjar/jarjar-1.3.jar</file> + <file>${lib.directory}/jdtcore-aj/jdtcore-for-aspectj.jar</file> <file>${lib.directory}/junit/junit.jar</file> <file>${lib.directory}/regexp/jakarta-regexp-1.2.jar</file> <file>${lib.directory}/saxon/saxon.jar</file> @@ -244,6 +262,11 @@ <scope>import</scope> </dependency> <dependency> + <groupId>org.aspectj</groupId> + <artifactId>org.eclipse.jdt.core</artifactId> + <version>${jdt.core.version}</version> + </dependency> + <dependency> <!-- Because commons-digester:commons-digester:1.3 refers to version 1.4-dev --> <groupId>commons-beanutils</groupId> <artifactId>commons-beanutils</artifactId> diff --git a/run-all-junit-tests/pom.xml b/run-all-junit-tests/pom.xml index a4d186e26..6abd8610b 100644 --- a/run-all-junit-tests/pom.xml +++ b/run-all-junit-tests/pom.xml @@ -183,13 +183,10 @@ <version>${project.version}</version> <type>test-jar</type> </dependency> -<!-- <dependency> <groupId>org.aspectj</groupId> <artifactId>org.eclipse.jdt.core</artifactId> - <version>${project.version}</version> </dependency> ---> <dependency> <groupId>org.aspectj</groupId> <artifactId>ajdoc</artifactId> @@ -243,13 +240,6 @@ <version>${lib.ant.version}</version> </dependency> <dependency> - <groupId>org.aspectj</groupId> - <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.0</version> - <scope>system</scope> - <systemPath>${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar</systemPath> - </dependency> - <dependency> <groupId>jrockit</groupId> <artifactId>jrockit</artifactId> <version>1.0</version> diff --git a/testing/pom.xml b/testing/pom.xml index 68badf0ff..660dec41f 100644 --- a/testing/pom.xml +++ b/testing/pom.xml @@ -140,9 +140,6 @@ <dependency> <groupId>org.aspectj</groupId> <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.0</version> - <scope>system</scope> - <systemPath>${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar</systemPath> </dependency> </dependencies> diff --git a/tests/pom.xml b/tests/pom.xml index 97ea6c30c..11f91a216 100644 --- a/tests/pom.xml +++ b/tests/pom.xml @@ -64,9 +64,6 @@ <dependency> <groupId>org.aspectj</groupId> <artifactId>org.eclipse.jdt.core</artifactId> - <version>1.0</version> - <scope>system</scope> - <systemPath>${project.basedir}/../org.eclipse.jdt.core/jdtcore-for-aspectj.jar</systemPath> </dependency> <dependency> <groupId>org.aspectj</groupId> diff --git a/tests/product/build-aspectj/build.xml b/tests/product/build-aspectj/build.xml index de7e7ba99..394f10ff7 100644 --- a/tests/product/build-aspectj/build.xml +++ b/tests/product/build-aspectj/build.xml @@ -27,21 +27,21 @@ Setup: - Variables ASPECTJ_HOME and ASPECTJ_MODULES refer to the - base of an AspectJ install and the modules directory + Variables ASPECTJ_HOME and ASPECTJ_MODULES refer to the + base of an AspectJ install and the modules directory of the AspectJ source tree. By default they are - + ASPECTJ_MODULES: $${basedir}/../.. ASPECTJ_HOME: $${basedir}/../../aj-build/dist/tools - + which assumes the tools dist is built and this runs from modules/tests/product/build-aspectj. - + To disable verbose mode, set iajc.verbose to false. - + You can also define the properties to run on any distribution from anywhere: - + ant -DASPECTJ_HOME=dev/tools/aj -DASPECTJ_MODULES=ec </echo> @@ -59,9 +59,9 @@ <target name="init" depends="init.variables,init.taskdefs"/> - <target name="init.variables" + <target name="init.variables" description="init variables"> - + <property name="iajc.verbose" value="true"/> <!-- build.compiler value to pick up our CompilerAdapter for javac --> @@ -70,23 +70,23 @@ <!-- required directories - run from examples or predefine --> <property name="ASPECTJ_MODULES" - location="${basedir}/../../.."/> + location="${basedir}/../../.."/> <property name="ASPECTJ_HOME" - location="${basedir}/../../../aj-build/dist/tools"/> + location="${basedir}/../../../aj-build/dist/tools"/> <property name="aspectj.lib.dir" - location="${ASPECTJ_HOME}/lib"/> + location="${ASPECTJ_HOME}/lib"/> <!-- required libraries - install or predefine --> <property name="aspectjrt.jar" - location="${aspectj.lib.dir}/aspectjrt.jar"/> + location="${aspectj.lib.dir}/aspectjrt.jar"/> <property name="aspectjtools.jar" - location="${aspectj.lib.dir}/aspectjtools.jar"/> + location="${aspectj.lib.dir}/aspectjtools.jar"/> <!-- created directories --> <property name="output.dir" - location="${basedir}/output"/> + location="${basedir}/output"/> <mkdir dir="${output.dir}"/> <!-- checking required libraries --> @@ -100,17 +100,17 @@ <property name="output.aspectjtools" location="${output.dir}/aspectjtools.jar"/> - + <property name="output.aspectjrt" location="${output.dir}/aspectjrt.jar"/> <available file="${aspectj.src}" property="aspectj.src.available"/> - + <path id="runtime.roots"> <pathelement path="${aspectj.src}/runtime/src"/> </path> - + <path id="tools.roots"> <pathelement path="${aspectj.src}/ajbrowser/src"/> <pathelement path="${aspectj.src}/ajde/src"/> @@ -121,22 +121,22 @@ <pathelement path="${aspectj.src}/util/src"/> <pathelement path="${aspectj.src}/weaver/src"/> </path> - + <path id="tools.libs"> <pathelement path="${aspectj.src}/lib/ant/lib/ant.jar"/> <pathelement path="${aspectj.src}/lib/bcel/bcel.jar"/> - <pathelement path="${aspectj.src}/org.eclipse.jdt.core/jdtcore-for-aspectj.jar"/> + <pathelement path="${aspectj.src}/libx/jdtcore-aj/jdtcore-for-aspectj.jar"/> </path> </target> - <target name="init.taskdefs" depends="init.variables, + <target name="init.taskdefs" depends="init.variables, aspectjtools.jar.available, aspectjrt.jar.available, aspectj.src.available" unless="taskdefs.init"> <taskdef resource="org/aspectj/tools/ant/taskdefs/aspectjTaskdefs.properties"> - <classpath> - <pathelement path="${aspectjtools.jar}"/> + <classpath> + <pathelement path="${aspectjtools.jar}"/> </classpath> </taskdef> <property name="taskdefs.init" value="true"/> @@ -144,32 +144,32 @@ <!-- targets to fail unless required libraries available --> - <target name="aspectjrt.jar.available" depends="init.variables" + <target name="aspectjrt.jar.available" depends="init.variables" unless="aspectjrt.jar.available" > <fail message="expecting aspectjrt.jar at ${aspectjrt.jar}"/> </target> - <target name="aspectjtools.jar.available" depends="init.variables" + <target name="aspectjtools.jar.available" depends="init.variables" unless="aspectjtools.jar.available" > <fail message="expecting aspectjtools.jar at ${aspectjtools.jar}"/> </target> - <target name="aspectj.src.available" depends="init.variables" + <target name="aspectj.src.available" depends="init.variables" unless="aspectj.src.available" > <fail message="expecting aspectj sources at ${aspectj.src}"/> </target> - + <target name="all"> <antcall target="clean" /> <antcall target="runtime"/> <antcall target="tools"/> </target> - + <target name="runtime"> <antcall target="build-runtime"/> <antcall target="test-runtime"/> </target> - + <target name="tools"> <antcall target="build-tools"/> <antcall target="test-tools"/> @@ -181,11 +181,11 @@ verbose="${iajc.verbose}" sourcerootsref="runtime.roots"/> </target> - + <target name="test-runtime" depends="init"> <echo message="test-runtime not implemented"/> </target> - + <target name="build-tools" depends="init"> <iajc outjar="${output.aspectjtools}" verbose="${iajc.verbose}" @@ -194,7 +194,7 @@ <classpath> <pathelement path="${aspectjrt.jar}"/> <!-- bootstrap problem... --> <path refid="tools.libs"/> - </classpath> + </classpath> </iajc> </target> @@ -203,7 +203,7 @@ failonerror="true"> <classpath> <path refid="tools.libs"/> - <pathelement path="${output.aspectjtools}"/> + <pathelement path="${output.aspectjtools}"/> </classpath> <arg value="-help"/> <arg value="-noExit"/> @@ -217,9 +217,9 @@ <path refid="tools.roots"/> </src> <classpath> - <pathelement path="${aspectjrt.jar}"/> + <pathelement path="${aspectjrt.jar}"/> <path refid="tools.libs"/> - </classpath> + </classpath> </javac> </target> </project> diff --git a/tests/profiling/build.xml b/tests/profiling/build.xml index ccb4d8f82..e6e9509b7 100644 --- a/tests/profiling/build.xml +++ b/tests/profiling/build.xml @@ -73,7 +73,7 @@ <include name="*/bin" unless="ajtools.jar"/> </dirset> <fileset dir="${aspectj.workspace.root}"> - <include name="org.eclipse.jdt.core/jdtcore-for-aspectj.jar" unless="ajtools.jar"/> + <include name="libx/jdtcore-aj/jdtcore-for-aspectj.jar" unless="ajtools.jar"/> <include name="lib/bcel/bcel.jar" unless="ajtools.jar"/> </fileset> </path> |